Announcement Announcement Module
Collapse
No announcement yet.
Will there be a new STS soon for Roo 1.1M3 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Will there be a new STS soon for Roo 1.1M3

    When Roo 1.1M2 came out I believe there was also a new version of STS that integrated it. Are you planning the same thing for M3 in the next day or two? If not, what is the best procedure and version of STS to use with Roo 1.1M3? I'm eager to get started but want to make sure I've got the environment set up properly.

  • #2
    I don't know about the exact release date for STS but you can easily just download the M3 release and point STS to use that instead:

    Preferences > Spring > Roo Support > Add.

    Comment


    • #3
      STS 2.3.3M2 and Roo 1.1.0M3 seem incompatible, at least when running on a Mac under Java 6.

      Using the new roo project command the Roo shell hangs with Roo 1.1.0.M3

      Loading a GWT project created using the command line Roo shell results in classpath issues on the generated app that prevent the app from running.

      Comment


      • #4
        sts M2 & roo M3 Run/Debug issue

        I also have problem configuring Run/Debug configurations for M3 expense sample imported in sts M2.
        Code:
              Loading inherited module 'com.google.gwt.app.App'
                 Loading inherited module 'com.google.gwt.user.User'
                    Loading inherited module 'com.google.gwt.core.Core'
                       Loading inherited module 'com.google.gwt.core.XSLinker'
                          [ERROR] Line 22: Unexpected element 'when-linker-added'
                          [ERROR] Failure while parsing XML
        com.google.gwt.core.ext.UnableToCompleteException: (see previous log entries)at com.google.gwt.dev.util.xml.DefaultSchema.onUnexpectedElement(DefaultSchema.java:80)
        ....
        com.google.gwt.core.ext.UnableToCompleteException: (see previous log entries) at com.google.gwt.dev.util.xml.ReflectiveParser$Impl.parse(ReflectiveParser.java:351) at com.google.gwt.dev.util.xml.ReflectiveParser$Impl.access$100(ReflectiveParser.java:48) at com.google.gwt.dev.util.xml.ReflectiveParser.parse(ReflectiveParser.java:398) at com.google.gwt.dev.cfg.ModuleDefLoader.nestedLoad(ModuleDefLoader.java:257) 	at com.google.gwt.dev.cfg.ModuleDefLoader$1.load(ModuleDefLoader.java:169)
        	at com.google.gwt.dev.cfg.ModuleDefLoader.doLoadModule(ModuleDefLoader.java:283)
        	at com.google.gwt.dev.cfg.ModuleDefLoader.loadFromClassPath(ModuleDefLoader.java:141)at com.google.gwt.dev.DevModeBase.loadModule(DevModeBase.java:963)
        	at com.google.gwt.dev.DevMode.loadModule(DevMode.java:468)
        	at com.google.gwt.dev.DevMode.doSlowStartup(DevMode.java:364)
        	at com.google.gwt.dev.DevModeBase.startUp(DevModeBase.java:1057)
        	at com.google.gwt.dev.DevModeBase.run(DevModeBase.java:783)
        	at com.google.gwt.dev.DevMode.main(DevMode.java:275)
        
        After pointing the browser to AppliationScaffold.html
        Connection received from localhost:34840
           [ERROR] Invalid version number "2.1" passed to external.gwtOnLoad(), expected "2.0"; your hosted mode bootstrap file may be out of date; if you are using -noserver try recompiling and redeploying your app

        Comment


        • #5
          According to the blog STS M3 should be released monday. http://blog.springsource.com/2010/08...0-m3-released/

          Comment


          • #6
            Got the following from Ben Alex's twitter feed:

            #sts 2.5.0.M3 is now available for download and is recommended for @SpringRoo 1.1.0.M3 users. Download from http://is.gd/eMpUX

            Comment

            Working...
            X